Bug 136081 - Gnome-session makes a lot of problems from version 2.4 till now.
Gnome-session makes a lot of problems from version 2.4 till now.
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2004-10-17 14:18 EDT by bednar
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-04 00:44:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description bednar 2004-10-17 14:18:59 EDT
Description of problem:
Gnome-session s..x from version 2.4, 2.6, 2.8
Gnoe session makes a lot of problem from which the biggest is that I
cannot load Gnome. Sometimes (after sudden power off or simple after
system restart) Gnome does not load it is after typing login and
password in gdm gnome starts to load, shows splash screen and then
stops. Often there is no panel or other things on screen so I have to
restart X to deal with it and start KDE session :(. 
Another problem is that I cannot save session state (running apps).
When I save session, the gnome often does not load, then I have to
manually remove ~/.gnome2/session file. Attempts to manual fixing that
file did not help. Sometimes session is saved BUT the windows show at
possitions different from original (when they were saved). There are
also always open Nautilus window even when all Nautilus windows where
closed during saving session.
Third problem is that Session settings app often crashes. 
Fourth problem is order of loading apps. It applies to QT apps that
have to be docked in Notification Area on Panel. Sometimes those QT
apps start to early (before Panel) so their Tray Icons are placed in
top left corner of the screen (e.g. Skype icon). Another times they
are placed as they should in Notification Area.
I think Gnome-session is worst part of Gnome. When it will work as
today, I doubt that Gnome will go to the enterprise desktops.

Version-Release number of selected component (if applicable):

How reproducible:
Very often.

Steps to Reproduce:
1.Try to save session state when logging out from Gnome
2.Log in Gnome again.
Actual results:
Gnome does not load (visible only Splash Screen) or
Windows saved show at wrong positions and sizes. Dockable QT apps
Icons shows in top left corner instead of Notification Area.

Expected results:
Working Gnome, Windows placed where they were before saving state. QT
apps Tray Icons placed in notification area.

Additional info:
I think this is enough.
I observed the problem on my three different computers and Fedora Core
1 and 2 and 2.91. I do systems upgrades. I try to repair one of my
system doing apt-get install --reinstall * but that didn't help.
Comment 1 bednar 2004-10-17 16:23:02 EDT
Now I have gnome-session-2.8.0-4 and cannot even log to gnome, there
is no spalsh screen but ble screen with mouse cursor. It even does not
help removing .gnome2/session. I have to use KDE. There have to be a
way of restoring session by gnome even in case of lost some user
config files.
KDE start ALWAYS but Gnome tends to start RARER and RARER. 
I created a new user. It user can log to gnome without problems. 
Describe how to recreate config files for gnome-session.
I described above problems on gnome bugzilla about a year ago, but
ther is no effect :(
Comment 2 Kjartan Maraas 2006-01-11 05:25:11 EST
Has this been fixed later?
Comment 3 Hans de Goede 2006-03-10 13:54:01 EST
Ancient bug, involved versions are long EOL, close?

Note You need to log in before you can comment on or make changes to this bug.